/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the core module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QIOENGINE_P_H
#define QIOENGINE_P_H

class QIOEngine;
class Q_CORE_EXPORT QIOEnginePrivate
{
protected:
    QIOEngine *q_ptr;
    Q_DECLARE_PUBLIC(QIOEngine)
protected:
    inline QIOEnginePrivate() : q_ptr(0) { }
    virtual ~QIOEnginePrivate() { q_ptr = 0; }
};

#endif // QIOENGINE_P_H
